# $Revision: 1.28 $, $Date: 2007/10/07 20:05:55 $
# TODO:
# - some icon for desktop
Summary:	Visual management of SSH connections
Summary(pl.UTF-8):	Wizualna nakładka na klienta SSH
Name:		secpanel
Version:	0.5.2
Release:	1
Epoch:		1
License:	GPL v2
Group:		X11/Applications/Networking
Source0:	http://themediahost.de/secpanel/data/%{name}-%{version}.tar.gz
# Source0-md5:	1b8ec799d94dde74d152e5c22df2e6b3
Source1:	%{name}.desktop
Patch0:		%{name}-data_location.patch
Patch1:		%{name}-title.patch
URL:		http://themediahost.de/secpanel/
Requires:	tk
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir		%{_datadir}/%{name}

%description
SecPanel serves as a graphical user interface for managing and running
SSH (Secure Shell) and SCP (Secure Copy) connections. Note: SecPanel
is not a new implementation of the SecureShell protocol or the ssh
software-suite.

%description -l pl.UTF-8
SecPanel jest graficznym interfejsem pozwalającym uruchamiać i
zarządzać sesjami SSH (Secure Shell) i SCP (Secure Copy). Uwaga:
SecPanel nie jest nową implementacją protokołu SecureShell.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_appdir},%{_desktopdir}}

install src/bin/secpanel $RPM_BUILD_ROOT%{_bindir}
cp -r src/lib/secpanel/* $RPM_BUILD_ROOT%{_appdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES
%attr(755,root,root) %{_bindir}/*
%dir %{_appdir}
%attr(755,root,root) %{_appdir}/convert_profile.tcl
%attr(755,root,root) %{_appdir}/listserver.tcl
%attr(755,root,root) %{_appdir}/gui.tcl
%attr(755,root,root) %{_appdir}/secpanel*
%{_appdir}/convert_history.tcl
%{_appdir}/default*
%{_appdir}/export_profiles.tcl
%{_appdir}/images
%{_appdir}/sp_scp.tcl
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: secpanel.spec,v $
Revision 1.28  2007/10/07 20:05:55  blues
- 0.5.2 - new homepage, new source

Revision 1.27  2007/05/17 21:21:15  qboosh
- updated Source0 URL

Revision 1.26  2007/05/17 09:19:42  cactus
- only R: tk by blekot

Revision 1.25  2007/05/16 22:29:41  blues
- URL fixed

Revision 1.24  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.22  2006/10/06 08:23:36  blues
- rel.2 - title patch added

Revision 1.21  2005/10/08 22:30:50  blues
- 0.5.1 - moved _libdir -> _datadir; it's noarch now. Works nice.

Revision 1.20  2005/09/07 20:00:25  blues
- release 4 - redefined libdir to have working package on amd64; STBR

Revision 1.19  2004/11/04 12:13:42  paladine
- rel 3 for fixed desktop file

Revision 1.18  2004/05/12 10:33:45  arekmat
- corrected description

Revision 1.17  2004/04/30 11:24:00  blues
- release 2 for AC

Revision 1.16  2004/04/30 11:22:24  blues
- 0.4.3 (changed versioning scheme...) for RA

Revision 1.15  2004/02/24 18:25:18  undefine
- release 2

Revision 1.14  2003/09/09 10:24:57  ankry
- spaces -> tab

Revision 1.13  2003/07/25 14:02:50  blues
- cosmetic

Revision 1.12  2003/07/23 21:28:06  adamg
- updated to 0.41

Revision 1.11  2003/05/28 13:01:49  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:26:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/02/09 11:47:35  blues
- 0.40 - STBR to Ra updates.

Revision 1.8  2003/01/18 22:56:19  juandon
- removed two lines with define

Revision 1.7  2002/11/29 22:46:22  ankry
- massive attack: new %%doc

Revision 1.6  2002/05/21 09:52:28  qboosh
- really fixed changelog

Revision 1.5  2002/05/20 10:11:36  qboosh
- use %%{_bindir} not %%{_sbindir}, removed this directory from package
- added missing %%{_libdir}/secpanel dir
- removed second R: tcl

Revision 1.4  2002/05/20 06:01:34  pioklo
- more files in %%file section,fix changelog

Revision 1.3  2002/05/19 23:44:12  blues
- typos
- Req. tcl added

Revision 1.2  2002/05/19 21:53:43  klark
- add polish description

Revision 1.1  2002/05/19 21:42:40  pioklo
- new PLD spec
- need some cosmetics, and pl descriptions :)
